commit 95553bfcc3a69afc2a2bc02aeafac6e92d3dea1e
Author: Harald Anlauf <anlauf@gmx.de>
Date:   Mon Aug 30 23:07:56 2021

    Fortran - fix whitespace issue during parsing of assigned goto
    
    gcc/fortran/ChangeLog:
    
            PR fortran/102113
            * match.c (gfc_match_goto): Allow for whitespace in parsing list
            of labels.
    
    gcc/testsuite/ChangeLog:
    
            PR fortran/102113
            * gfortran.dg/goto_9.f90: New test.
    
    (cherry picked from commit a7083b83e45852540a4a09ee11b74dc28d777399)

diff --git a/gcc/testsuite/gfortran.dg/goto_9.f90 b/gcc/testsuite/gfortran.dg/goto_9.f90
new file mode 100644
index 00000000000..e05e73819e6
--- /dev/null
+++ b/gcc/testsuite/gfortran.dg/goto_9.f90
@@ -0,0 +1,10 @@
+! { dg-do compile }
+! { dg-options "-std=legacy" }
+! PR fortran/102113 - parsing error in assigned goto
+
+program p
+   assign 10 to i
+   goto i,(10,20 )
+10 continue
+20 continue
+end

